Apply Organization Quota

Apply Organization Quota
Apply an organization quota to an organization

This endpoint applies an organization quota to one or more organizations.

Only admin users can apply an organization quota to an organization.

Request
URI
POST
https://api.example.local/v3/organization_quotas/{quota_guid}/relationships/organizations
COPY
Path Parameters
string
quota_guid
Required

quota_guid


Request Body
RelationshipToMany of type(s) application/json
Optional
{
    "data": [
        {
            "guid": "string"
        }
    ]
}
array of object
data
Optional

data

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns RelationshipToMany of type(s) application/json
{
    "data": [
        {
            "guid": "string"
        }
    ]
}
array of object
data
Optional

data


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


404

Not Found

Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


422

Unprocessable Entity

Returns UnprocessableEntity of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/v3/organization_quotas/{quota_guid}/relationships/organizations